# meager-precommit-scala

Pre-commit hooks for Scala 3 development. Used to run `scalafmt` on commit.

## Usage

Create `.pre-commit-config.yaml` at the root of your repository:

```yaml
---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace
  - repo: https://git.meager.home/meager/meager-pre-commit-scala
    rev: v0.1.2
    hooks:
      - id: scalafmt
```
